{% extends 'property_vacancy_management/building_unit/building_unit.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('property_vacancy_management/building_unit/document/edit') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('property_vacancy_management/building_unit/document/edit') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <a href="{{ path('property_vacancy_management_building_unit_document_overview', {'buildingUnitId': buildingUnit.getId()}) }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">Objekt {{ buildingUnit.getName() }}, Dokument</span>
        {% if is_granted('edit', buildingUnit) == true %}
            {{ form_widget(documentForm.save, {'label': 'SPEICHERN', 'id': documentForm.save.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center'}}) }}
            {% include 'component/mdc_context_menu_component.html.twig' with {
                'id': 'document',
                'listItems': [
                    {
                        'label': 'Dokument löschen',
                        'url': path('property_vacancy_management_building_unit_document_delete', {'buildingUnitId': buildingUnit.getId(), 'documentId': document.getId()}),
                        'icon': 'delete_forever'
                    },
                ]
            } only %}
        {% endif %}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card px-4 py-3 mb-4">
            <div class="row">
                <div class="col-md-4">
                    <div class="d-flex align-items-start flex-grow-1">
                        <a href="{{ path('file_download', {'fileUuid': document.getFile().getUuid()}) }}">
                            <i class="material-icons display-1">cloud_download</i>
                        </a>
                    </div>
                    <p><i>Hochgeladen am: {{ document.getCreatedAt().format('d.m.Y H:i') }}</i></p>
                </div>
            </div>
            {% if is_granted('edit', buildingUnit) == true %}
                {{ form_start(documentForm, {'attr': {'id': documentForm.vars.id ~ '_form'}}) }}
            {% endif %}
            {% include 'property_vacancy_management/form/property/document_form.html.twig' with {'form': documentForm} only %}
            {% if is_granted('edit', buildingUnit) == true %}
                {{ form_row(documentForm._token) }}
                {{ form_end(documentForm, {'render_rest': false}) }}
            {% endif %}
        </div>
    </div>
{% endblock %}
